2010-06-08  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Addins.sln: Add missing projects.

2010-06-08  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Addins.sln: Add missing project.

2010-05-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Addins.sln: Fix windows build.

2010-05-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Addins.sln: Add Debug and Release configurations.

2010-05-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Samples/Samples.mdw:
	* Samples/TextEditorSWF: Added new sample

2010-03-24  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* configure.ac:
	* Mono.Addins.sln:
	* Mono.Addins.mdw:
	* Samples/Makefile.am:
	* Samples/Samples.mdw:
	* Samples/TextEditorLib:
	* Samples/TextEditor.Xml:
	* Samples/WriterServiceHost:
	* Samples/TextEditorLib/gtk-gui:
	* Samples/TextEditorLib/Commands:
	* Samples/TextEditorLib/ChangeLog:
	* Samples/TextEditorLib/Templates:
	* Samples/TextEditor.Xml/ChangeLog:
	* Samples/WriterServiceHost/Main.cs:
	* Samples/TextEditorLib/ICommand.cs:
	* Samples/TextEditorLib/Makefile.am:
	* Samples/TextEditor.CompilerService:
	* Samples/TextEditor.Xml/Makefile.am:
	* Samples/WriterServiceHost/ChangeLog:
	* Samples/TextEditorLib/MainWindow.cs:
	* Samples/TextEditor.Xml/EmptyFile.xml:
	* Samples/TextEditorLib/ExtensionNodes:
	* Samples/WriterService.SampleExtender:
	* Samples/TextEditorLib/AssemblyInfo.cs:
	* Samples/WriterServiceHost/Makefile.am:
	* Samples/TextEditorLib/TextEditorApp.cs:
	* Samples/TextEditor.Xml/AssemblyInfo.cs:
	* Samples/TextEditorLib/gtk-gui/gui.stetic:
	* Samples/TextEditor.CompilerService.CSharp:
	* Samples/WriterServiceHost/AssemblyInfo.cs:
	* Samples/TextEditorLib/TextEditorLib.csproj:
	* Samples/TextEditorLib/gtk-gui/generated.cs:
	* Samples/TextEditor.Xml/FormatXmlCommand.cs:
	* Samples/TextEditorLib/OpenFileCondition.cs:
	* Samples/TextEditorLib/gtk-gui/MainWindow.cs:
	* Samples/TextEditor.CompilerService/ChangeLog:
	* Samples/TextEditorLib/Commands/CutCommand.cs:
	* Samples/TextEditorLib/Commands/NewCommand.cs:
	* Samples/TextEditor.Xml/TextEditor.Xml.csproj:
	* Samples/TextEditorLib/Commands/SaveCommand.cs:
	* Samples/TextEditorLib/Commands/OpenCommand.cs:
	* Samples/TextEditorLib/Commands/ExitCommand.cs:
	* Samples/TextEditorLib/Commands/CopyCommand.cs:
	* Samples/TextEditorLib/Commands/PasteCommand.cs:
	* Samples/TextEditorLib/Templates/WorkReport.txt:
	* Samples/TextEditor.CompilerService/Makefile.am:
	* Samples/TextEditorLib/Commands/SetupCommand.cs:
	* Samples/WriterService.SampleExtender/ChangeLog:
	* Samples/TextEditor.CompilerService/ICompiler.cs:
	* Samples/TextEditor.Xml/TextEditor.Xml.addin.xml:
	* Samples/TextEditorLib/ExtensionNodes/MenuNode.cs:
	* Samples/TextEditor.CompilerService/RunCommand.cs:
	* Samples/WriterService.SampleExtender/Makefile.am:
	* Samples/WriterService.SampleExtender/MyWriter.cs:
	* Samples/TextEditor.CompilerService/AssemblyInfo.cs:
	* Samples/WriterServiceHost/WriterServiceHost.csproj:
	* Samples/TextEditor.CompilerService.CSharp/ChangeLog:
	* Samples/TextEditorLib/ExtensionNodes/ToolbarNode.cs:
	* Samples/TextEditorLib/ExtensionNodes/SubmenuNode.cs:
	* Samples/WriterService.SampleExtender/AssemblyInfo.cs:
	* Samples/TextEditorLib/Templates/TextEditor.addin.xml:
	* Samples/TextEditorLib/ExtensionNodes/MenuItemNode.cs:
	* Samples/TextEditorLib/Templates/DotConfigTemplate.txt:
	* Samples/TextEditorLib/Templates/ChangeLogTemplate.txt:
	* Samples/TextEditor.CompilerService/CompilerManager.cs:
	* Samples/TextEditor.CompilerService.CSharp/Makefile.am:
	* Samples/TextEditorLib/ExtensionNodes/ToolButtonNode.cs:
	* Samples/TextEditorLib/ExtensionNodes/FileTemplateNode.cs:
	* Samples/TextEditorLib/ExtensionNodes/MenuSeparatorNode.cs:
	* Samples/TextEditor.CompilerService.CSharp/AssemblyInfo.cs:
	* Samples/TextEditorLib/ExtensionNodes/ToolSeparatorNode.cs:
	* Samples/TextEditor.CompilerService.CSharp/CSharpCompiler.cs:
	* Samples/TextEditorLib/ExtensionNodes/TemplateCategoryNode.cs:
	* Samples/WriterService.SampleExtender/SampleExtender.addin.xml:
	* Samples/TextEditor.CompilerService/TextEditor.CompilerService.csproj:
	* Samples/TextEditor.CompilerService/TextEditor.CompilerService.addin.xml:
	* Samples/WriterService.SampleExtender/WriterService.SampleExtender.csproj:
	* Samples/TextEditor.CompilerService.CSharp/TextEditor.CompilerService.CSharp.csproj:
	  Moved samples to its own solution in a Samples workspace.

	* Samples/HelloWorld:
	* Samples/HelloWorldWithManifest: Added new samples.

2009-09-01  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.ac: Bump Mono.Addins version.

2009-08-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Addins.sln: Disable some projects on windows.

2009-08-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Addins.sln: Fix configuration mapping.

2009-08-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Addins.sln: Added Default configuration.

2009-08-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* configure.ac:
	* Mono.Addins.sln:
	* Mono.Addins.MSBuild: Added a new project which Implements an
	  msbuild task for resolving add-in references.

2009-05-29  Jonathan Pobst  <monkey@jpobst.com>

	* Mono.Addins.sln: Don't build the tests under the DebugWin32 configuration.

2009-04-15  Mike Kestner <mkestner@novell.com>

	* */*.csproj: use correct keyfile element for signing.

2009-03-30  Lluis Sanchez Gual  <lluis@novell.com>

	* mono-addins-docs.source: Moved to docs.

	* configure.ac: Added option for building the docs.

	* Makefile.am: Added makefile to docs which builds and
	  installs the documentation.

2009-03-30  Jonathan Pryor  <jpryor@novell.com>

	* . (svn:ignore): Ignore generated files (mono-addins-docs{.tree,.zip}).
	* docs/**/*: Flush (output of doc-update).
	* Makefile.am: Add doc-update, doc-assemble, install-docs,
	  uninstall-docs, clean-docs targets.
	* mono-addins-docs.source: Monodoc .source file which specifies where
	  in the tree the Mono.Addins documentation should be inserted.

2009-03-12  Mike Kestner <mkestner@novell.com>

	* Mono.Addins.sln: add new DebugWin32 configuration to disable
	the doc project build. 

2009-03-12  Mike Kestner <mkestner@novell.com>

	* Samples/*.csproj: 
	* Mono.Addins.Gui/Mono.Addins.Gui.csproj: 
	  add SpecificVersion=false to all the gtk-sharp references.

2009-03-12  Mike Kestner <mkestner@novell.com>

	* Mono.Addins/Mono.Addins.csproj: make target=exe since there's
	a Main method and -main: argument exposed.

2009-03-12  Mike Kestner <mkestner@novell.com>

	* *.csproj: updates to support MSBuild on windows.
	kill a few ApplicationIcon elements and update some
	gtk-sharp reference versions.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Addins.sln: Updated.

2008-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.ac: Respect custom libdir during ./configure. Fixes bug
	#443205. Patch by Diego Pettenò.

2008-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.include: Fix building with parallel make jobs (-j8). Fixes
	bug #443206. Patch by Diego Pettenò.

2008-11-04  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.ac: Use a tar format with support for more than 99 chars in
	file names.

2008-08-22  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.sln, Mono.Addins.mds: Use msbuild file format for
	  projects. Removed the old MD1 projects.

2008-02-06  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.mds, Mono.Addins.CecilReflector,
	  Mono.Addins.CecilReflector/AssemblyInfo.cs,
	  Mono.Addins.CecilReflector/Mono.Cecil,
	  Mono.Addins.CecilReflector/Mono.Addins.CecilReflector.mdp,
	  Mono.Addins.CecilReflector/Mono.Addins.CecilReflector,
	  Mono.Addins.CecilReflector/Mono.Addins.CecilReflector/Reflector.cs,
	  configure.ac, Makefile.am: Added support for pluggable add-in assembly
	  reflectors. Implemented an add-in assembly reflector based on Cecil.

2008-01-30 Michael Hutchinson  <mhutchinson@novell.com> 

	* configure.in: Bump release number to 0.3.1.

2008-01-17  Lluis Sanchez Gual <lluis@novell.com> 

	* COPYING, Makefile.am: Add COPYING file.

2008-01-07  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.sln: Updated VS solution files. Patch by Andrés G. Aragoneses.

2007-12-15  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.include, configure.ac: Don't install assemblies in
	  /usr/lib/mono-addins, gacutil will install them in
	  /usr/lib/mono/mono-addins. Also, install policy files to the gac only.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* policy.config.in: Set correct public token.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.include, configure.ac, Makefile.am, policy.config.in: Generate
	  and install policy files for old Mono.Addins versions.

2007-12-05  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Don't build tests and samples by default.
	* README: Updated.

2007-12-05  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.ac: Disable tests by default.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.mds, Packages.mdse: Update paths.

2007-10-19  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.ac: Added missing AC_SUBST.

2007-10-18  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.ac: Get ready for 0.3 release.

2007-07-10  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.Gui/Makefile.am: Make sure this dll is not build if gui
	  is disabled.

2007-07-05  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.mds, Packages.mdse: Added packaging project.
	* configure.ac: Bump version to 0.2.

2007-07-03  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.ac, Makefile.am: Added support for signing and GAC
	  install.

2007-04-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.sln: Added msbuild project files. Patch by Matthijs ter
	  Woord.

2007-03-30  Lluis Sanchez Gual <lluis@novell.com> 

	* mautil/mautil.in: Don't change current directory when starting the
	  app.

2007-03-28  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins/Mono.Addins.mdp,
	  Mono.Addins/Mono.Addins/GettextCatalog.cs, Mono.Addins/Makefile.am:
	  Removed Mono.Posix reference.
	* Mono.Addins/Mono.Addins/ConfigurationInfo.cs: Removed unused file.
	* Mono.Addins/Mono.Addins/AddinRegistry.cs,
	  Mono.Addins/Mono.Addins.Database/Util.cs: Use a different path for
	  the global registry in windows.
	* Mono.Addins/Mono.Addins.Database/AddinUpdateData.cs: Set the
	  RootAddin property of root add-in extensions. Collect object type
	  extensions which for extension points defined in root add-ins.

2007-03-26  Lluis Sanchez Gual <lluis@novell.com> 

	* AUTHORS, README, NEWS: Added.
	* Makefile.am: Updated.

2007-03-23  Lluis Sanchez Gual <lluis@novell.com> 

	Avoid installing assemblies generated by samples and tests.

2007-03-23  Lluis Sanchez Gual <lluis@novell.com> 

	Added missing makefiles.

2007-03-23  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.ac: Make compilation of tests and gui libs optional.

